Thread::chunk
Thread::getCurrentThreadId
Thread
PHP Manual

# Thread::getCreatorId

Identification

### Description

final public long Thread::getCreatorId ( void )

Will return the identity of the Thread that created the referenced Thread

### Parameters

This function has no parameters.

### Return Values

A numeric identity

### Examples

Example #1 Return the identity of the Thread or Process that created the referenced Thread

`<?php
class My extends Thread {
public function run() {
printf("%s created by Thread #%lu\n", __CLASS__, $this->getCreatorId());
}
}
$my = new My();
$my->start();
?>`

The above example will output:

    My created by Thread #123456778899